# PSF-LoginServer - master - net.psforever.types.ImplantType
PSF - LoginServer - master - net.psforever.types.ImplantType
Keywords: PSF LoginServer master net.psforever.types.ImplantType

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

o

net.psforever.types

# ImplantType 

###
Companion class ImplantType

#### case object ImplantType extends IntEnum[ImplantType] with Product with Serializable

Source
  ImplantType.scala

Linear Supertypes
Serializable, Product, Equals, IntEnum[ImplantType], ValueEnum[Int, ImplantType], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ImplantType
2. Serializable
3. Product
4. Equals
5. IntEnum
6. ValueEnum
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  implicit val codec: Codec[ImplantType]
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  macro def findValues: IndexedSeq[ImplantType]
    Attributes
      protected
    Definition Classes
      IntEnum
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementName(n: Int): String
    Definition Classes
      Product
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def values: IndexedSeq[ImplantType]
    Definition Classes
      ImplantType → ValueEnum
20.  final lazy val valuesToEntriesMap: Map[Int, ImplantType]
    Definition Classes
      ValueEnum
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
24.  def withValue(i: Int): ImplantType
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
25.  def withValueEither(i: Int): Either[NoSuchMember[Int, ValueEnumEntry[Int]], ImplantType]
    Definition Classes
      ValueEnum
26.  def withValueOpt(i: Int): Option[ImplantType]
    Definition Classes
      ValueEnum
27.  case object AdvancedRegen extends ImplantType with Product with Serializable
28.  case object AudioAmplifier extends ImplantType with Product with Serializable
29.  case object DarklightVision extends ImplantType with Product with Serializable
30.  case object MeleeBooster extends ImplantType with Product with Serializable
31.  case object None extends ImplantType with Product with Serializable
32.  case object PersonalShield extends ImplantType with Product with Serializable
33.  case object RangeMagnifier extends ImplantType with Product with Serializable
34.  case object SecondWind extends ImplantType with Product with Serializable
35.  case object SilentRun extends ImplantType with Product with Serializable
36.  case object Surge extends ImplantType with Product with Serializable
37.  case object Targeting extends ImplantType with Product with Serializable

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from IntEnum[ImplantType]

### Inherited from ValueEnum[Int, ImplantType]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped